Summary:        MSVSphere GNOME Desktop Flavour Selector
Name:           sphere-desktop-selector
Version:        1.0.0
Release:        1%{?dist}

Url:            https://msvsphere-os.ru
License:        GPLv2+
Source0:        %{name}-%{version}.tar.xz

Requires:       bash

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  cmake
BuildRequires:  gtk4-devel
BuildRequires:  json-glib-devel

%global debug_package %{nil}
%define _build_id_links none

%description
This package allow to choose variants of GNOME Desktop, Classic or GNOME Shell

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
install -m644 buildir/data/com.inferit.sphere-desktop-selector-auto.desktop %{buildroot}%{_sysconfdir}/xdg/autostart

rm -rf %{buildroot}/usr/lib
mv %{buildroot}/usr/lib64 %{buildroot}/usr/lib

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.inferit.sphere-desktop-selector.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/*.desktop
%{_usr}/lib/%{name}
%{_bindir}/sphere-desktop-selector
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/com.inferit.sphere-desktop-selector.desktop
%{_datadir}/metainfo/com.inferit.sphere-desktop-selector.metainfo.xml
%{_datadir}/glib-2.0/schemas/com.inferit.sphere-desktop-selector.gschema.xml

%changelog
* Mon Jan 13 2025 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 1.0.0-1
- Initial build
